Subject: Bug#571049: dump: restore -N still does a chown/chmod

From: Frédéric Brière <[email-masked]>
Date: Mon, 22 Feb 2010 20:08:57 -0500

Package: dump
Version: 0.4b42-2
Severity: normal

While restore -N does not meddle with the existence or contents of any
file, it does tamper with the ownership and permissions of any existing
file or directory.  For example, if you do a "restore r" into an empty
directory as a regular user, followed by a "restore r -N" as root,
you'll notice that the ownership/permissions have been set by the second
run.

Although this is technically not in contradiction with the manpage, I
think most people would expect -N to be the equivalent of the commonly
found --test or --dry-run options, and would not expect this behavior.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.29.6 (SMP w/1 CPU core)
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dump depends on:
ii  e2fslibs                  1.41.10-1      ext2/ext3/ext4 file system librari
ii  libblkid1                 2.16.2-0       block device id library
ii  libc6                     2.10.2-5       Embedded GNU C Library: Shared lib
ii  libcomerr2                1.41.10-1      common error description library
ii  libdevmapper1.02.1        2:1.02.39-1    The Linux Kernel Device Mapper use
ii  libncurses5               5.7+20090803-2 shared libraries for terminal hand
ii  libreadline6              6.1-1          GNU readline and history libraries
ii  libselinux1               2.0.89-4       SELinux runtime shared libraries
ii  libsepol1                 2.0.40-2       SELinux library for manipulating b
ii  libuuid1                  2.16.2-0       Universally Unique ID library
ii  tar                       1.22-2         GNU version of the tar archiving u

dump recommends no packages.

dump suggests no packages.

-- no debconf information